# Serialized Form

Package javax.servlet

Class javax.servlet.GenericServlet extends java.lang.Object implements Serializable

Class javax.servlet.ServletContextAttributeEvent extends ServletContextEvent implements Serializable

Serialized Fields

### name

    java.lang.String name

### value

    java.lang.Object value

Class javax.servlet.ServletContextEvent extends java.util.EventObject implements Serializable

Class javax.servlet.ServletException extends java.lang.Exception implements Serializable

Serialized Fields

### rootCause

    java.lang.Throwable rootCause

Class javax.servlet.UnavailableException extends ServletException implements Serializable

Serialized Fields

### servlet

    Servlet servlet

### permanent

    boolean permanent

### seconds

    int seconds

Package javax.servlet.http

Class javax.servlet.http.HttpServlet extends GenericServlet implements Serializable

Class javax.servlet.http.HttpSessionBindingEvent extends HttpSessionEvent implements Serializable

Serialized Fields

### name

    java.lang.String name

### value

    java.lang.Object value

Class javax.servlet.http.HttpSessionEvent extends java.util.EventObject implements Serializable

Package javax.servlet.jsp

Class javax.servlet.jsp.JspException extends java.lang.Exception implements Serializable

Serialized Fields

### rootCause

    java.lang.Throwable rootCause

Class javax.servlet.jsp.JspTagException extends JspException implements Serializable

Package javax.servlet.jsp.tagext

Class javax.servlet.jsp.tagext.BodyTagSupport extends TagSupport implements Serializable

Serialized Fields

### bodyContent

    BodyContent bodyContent

Class javax.servlet.jsp.tagext.TagSupport extends java.lang.Object implements Serializable

Serialized Fields

### parent

    Tag parent

### values

    java.util.Hashtable values

### id

    java.lang.String id

### pageContext

    PageContext pageContext

Copyright © 1999-2002 The Apache Software Foundation. All Rights Reserved.